Construct a process.

- « Swoole\Process::close

- Swoole\Process::daemon »

- PHP Manual
- Swoole\Process
- Construct a process.

# Swoole\Process::__construct

(PECL swoole >= 1.9.0)

Swoole\Process::__construct — Construct a process.

### Description

public Swoole\Process::__construct(callable `$callback`, bool `$redirect_stdin_and_stdout` = ?, int `$pipe_type` = ?)

### Parameters

`callback`

`redirect_stdin_and_stdout`

`pipe_type`